Package org.apache.uima.resource.impl

# Class FileLanguageResource_impl

java.lang.Object
org.apache.uima.resource.Resource_ImplBase
org.apache.uima.resource.impl.FileLanguageResource_impl

All Implemented Interfaces:
  `ParameterizedDataResource`, `Resource`

public class FileLanguageResource_impl extends Resource_ImplBase implements ParameterizedDataResource
An implementation of `ParameterizedDataResource` for language-based resources. Initialized from a `FileLanguageResourceSpecifier`.

- ## Field Summary

  ### Fields inherited from interface org.apache.uima.resource.Resource

  `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileLanguageResource_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Releases all resources held by this `Resource`.
  `DataResource`
  `getDataResource(String[] aParams)`
  Gets a `DataResource` object that can be used to access the data that is appropriate for the given parameter values.
  `boolean`
  `initialize(ResourceSpecifier aSpecifier, Map<String,Object> aAdditionalParams)`
  Initializes this `Resource` from a `ResourceSpecifier`.

  ### Methods inherited from class org.apache.uima.resource.Resource_ImplBase

  `getCasManager, getLogger, getMetaData, getRelativePathResolver, getResourceManager, getUimaContext, getUimaContextAdmin, loadUserClass, loadUserClassOrThrow, setContextHolder, setContextHolderX, setLogger, setMetaData, withContextHolder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.Resource

  `getLogger, getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, setLogger`

- ## Constructor Details

  - ### FileLanguageResource_impl

    public FileLanguageResource_impl()

- ## Method Details

  - ### initialize

    public boolean initialize(ResourceSpecifier aSpecifier, Map<String,Object> aAdditionalParams) throws ResourceInitializationException
    Description copied from interface: `Resource`
    Initializes this `Resource` from a `ResourceSpecifier`. Applications do not need to call this method. It is called automatically by the `ResourceFactory` and cannot be called a second time.
    Specified by:
      `initialize` in interface `Resource`
    Overrides:
      `initialize` in class `Resource_ImplBase`
    Parameters:
      `aSpecifier` - specifies how to create a resource or locate an existing resource service.
      `aAdditionalParams` - a Map containing additional parameters. May be `null` if there are no parameters. Each class that implements this interface can decide what additional parameters it supports.
    Returns:
      true if and only if initialization completed successfully. Returns false if the given `ResourceSpecifier` is not of an appropriate type for this Resource. If the `ResourceSpecifier` is of an appropriate type but is invalid or if some other failure occurs, an exception should be thrown.
    Throws:
      `ResourceInitializationException` - if a failure occurs during initialization.
    See Also:
      - `Resource.initialize(org.apache.uima.resource.ResourceSpecifier, java.util.Map)`

  - ### destroy

    public void destroy()
    Description copied from interface: `Resource`
    Releases all resources held by this `Resource`.
    Specified by:
      `destroy` in interface `Resource`
    Overrides:
      `destroy` in class `Resource_ImplBase`
    See Also:
      - `Resource.destroy()`

  - ### getDataResource

    public DataResource getDataResource(String[] aParams) throws ResourceInitializationException
    Description copied from interface: `ParameterizedDataResource`
    Gets a `DataResource` object that can be used to access the data that is appropriate for the given parameter values.
    Specified by:
      `getDataResource` in interface `ParameterizedDataResource`
    Parameters:
      `aParams` - parameter values
    Returns:
      an object providing access to the resource data, `null`
    Throws:
      `ResourceInitializationException` - if no `DataResource` could be initialized from the specified parameters
    See Also:
      - `ParameterizedDataResource.getDataResource(java.lang.String[])`